SRC/dla_wwaddw.f(3)

NAME
SRC/dla_wwaddw.f

SYNOPSIS

  Functions/Subroutines
subroutine dla_wwaddw (n, x, y, w)
DLA_WWADDW adds a vector into a doubled-single vector.

Function/Subroutine Documentation

  subroutine dla_wwaddw (integer n, double precision, dimension( * ) x, double precision, dimension( * ) y, double precision, dimension( * ) w)

DLA_WWADDW adds a vector into a doubled-single vector.

Purpose:

        DLA_WWADDW adds a vector W into a doubled-single vector (X, Y).
        This works for all extant IBM's hex and binary floating point
        arithmetic, but not for decimal.

Parameters
    N

              N is INTEGER
                The length of vectors X, Y, and W.

    X

              X is DOUBLE PRECISION array, dimension (N)
                The first part of the doubled-single accumulation vector.

    Y

              Y is DOUBLE PRECISION array, dimension (N)
                The second part of the doubled-single accumulation vector.

    W

              W is DOUBLE PRECISION array, dimension (N)
                The vector to be added.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 80 of file dla_wwaddw.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.